Module jdk.compiler
Package com.sun.source.tree

## Interface ArrayAccessTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface ArrayAccessTree
      extends ExpressionTree

  A tree node for an array access expression. For example:

         expression [ index ]

  Since:
    1.6
  See The Java™ Language Specification:
    section 15.13

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression()` | Returns the expression for the array being accessed.
    `ExpressionTree` | `getIndex()` | Returns the expression for the index.

    - ### Methods declared in interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression()

      Returns the expression for the array being accessed.
      Returns:
        the array

    - #### getIndex

          ExpressionTree getIndex()

      Returns the expression for the index.
      Returns:
        the index